[power] Display should come on when started charging

Bug #1348538 reported by Michał Sawicz on 2014-07-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
Medium
Unassigned
Ubuntu UX
Low
Matthew Paul Thomas
powerd (Ubuntu)
Undecided
Unassigned
powerd (Ubuntu RTM)
Undecided
Unassigned

Bug Description

The display should be triggered to turn on for a $timeout when connected to a charger, so that users can see charging commenced.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: unity-system-compositor (not installed)
ProcVersionSignature: Ubuntu 3.16.0-5.10-generic 3.16.0-rc6
Uname: Linux 3.16.0-5-generic x86_64
NonfreeKernelModules: nvidia wl
ApportVersion: 2.14.4-0ubuntu2
Architecture: amd64
CurrentDesktop: Unity
Date: Fri Jul 25 09:45:42 2014
SourcePackage: unity-system-compositor
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

lp:~rsalveti/powerd/display_on_charging_discharging
Merged into lp:powerd at revision 153
Ricardo Mendoza: Approve on 2015-01-19
PS Jenkins bot: Approve (continuous-integration) on 2015-01-16
Michał Sawicz (saviq) wrote :
Michał Sawicz (saviq) wrote :

Not sure exactly which component this fits into, so added tasks for all I could think are related.

Changed in ubuntu-ux:
assignee: nobody → Matthew Paul Thomas (mpt)
John Lea (johnlea) on 2014-07-29
Changed in ubuntu-ux:
importance: Undecided → Low
status: New → Triaged
John Lea (johnlea) on 2014-07-29
summary: - Display should come on when started charging
+ [power] Display should come on when started charging
no longer affects: indicator-power (Ubuntu)
no longer affects: unity-system-compositor
no longer affects: unity-system-compositor (Ubuntu)
Pat McGowan (pat-mcgowan) wrote :

nice UX fix

Changed in canonical-devices-system-image:
importance: Undecided → Medium
milestone: none → ww05-2015
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package powerd - 0.16+15.04.20150120-0ubuntu1

---------------
powerd (0.16+15.04.20150120-0ubuntu1) vivid; urgency=low

  [ Ricardo Salveti de Araujo ]
  * upower: turning display on when charging cable gets
    connected/disconnected (LP: #1348538)
 -- Ubuntu daily release <email address hidden> Tue, 20 Jan 2015 00:59:34 +0000

Changed in powerd (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package powerd - 0.16+15.04.20150120~rtm-0ubuntu1

---------------
powerd (0.16+15.04.20150120~rtm-0ubuntu1) 14.09; urgency=low

  [ Ricardo Salveti de Araujo ]
  * upower: turning display on when charging cable gets
    connected/disconnected (LP: #1348538)
 -- Ubuntu daily release <email address hidden> Tue, 20 Jan 2015 00:59:34 +0000

Changed in powerd (Ubuntu RTM):
status: New → Fix Released
Changed in canonical-devices-system-image:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments